DEBCONF.DE.1(1)

NAME
debconf - führe ein Debconf-verwendendes Programm aus

ÜBERSICHT
 debconf [Optionen] Befehl [Argumente]

BESCHREIBUNG
Debconf ist ein Konfigurationssystem für Debian-Pakete. Lesen Sie debconf(7) (im Paket debconf-doc) für einen Überblick und die Dokumentation von Debconf für Systemadministratoren.

Das Programm debconf führt ein Programm unter der Steuerung von Debconf aus und richtet es so ein, dass es via Stdio mit Debconf kommuniziert. Als Ausgabe des Programms werden Debconf-Protokoll-Befehle erwartet und es wird erwartet, dass es Codes via Stdin liest. Lesen Sie debconf-devel(7) für Details über das Debconf-Protokoll.

Der Befehl, der von Debconf ausgeführt werden soll, muss so angegeben werden, dass er in Ihrem PATH gefunden werden kann.

Dieser Befehl ist nicht die normale Art, Debconf zu verwenden. Für Debconf ist die Verwendung via dpkg-preconfigure(8) oder dpkg-reconfigure(8) typischer.

OPTIONEN

-oPaket, --owner=Paket
    Teilt Debconf mit, zu welchem Paket der von Debconf ausgeführte Befehl gehört. Dies ist notwendig, um den Eigentümer von registrierten Fragen korrekt zu bestimmen und um die Befehle »unregister« und »purge« vernünftig zu unterstützen.

-fTyp, --frontend=Typ
    Wählt die zu verwendende Benutzerschnittstelle aus.

-pWert, --priority=Wert
    Spezifiziert die minimale Priorität der Fragen, die angezeigt werden.

--terse
    Aktiviert knappen Ausgabemodus. Dies betrifft nur einige Oberflächen.

BEISPIELE
Um Fehler in einem Shell-Skript, das Debconf verwendet, zu finden, könnten Sie Folgendes verwenden:

 DEBCONF_DEBUG=developer debconf mein-Shell-Programm

Sie könnten auch das Folgende verwenden:

 debconf --frontend=readline sh -x mein-Shell-Programm

SIEHE AUCH
debconf-devel(7), debconf(7)

AUTOR
Joey Hess <joeyh@debian.org>

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2008 von Florian Rehnisch <eixman@gmx.de> und 2008-2009, 2012 Helge Kreutzmann <debian@helgefjell.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.